This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 503370 - yum-plugin-remove-with-leaves breaks PackageKit
yum-plugin-remove-with-leaves breaks PackageKit
Status: CLOSED DUPLICATE of bug 502399
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-31 11:59 EDT by Mathieu Bridon
Modified: 2009-06-01 07:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-01 07:43:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error traces when installing with PackageKit while the yum « remove with leaves » plugin is installed (855 bytes, text/plain)
2009-05-31 12:02 EDT, Mathieu Bridon
no flags Details
error traces when removing with PackageKit while the yum « remove with leaves » plugin is installed (196 bytes, text/plain)
2009-05-31 12:03 EDT, Mathieu Bridon
no flags Details

  None (edit)
Description Mathieu Bridon 2009-05-31 11:59:58 EDT
Description of problem:
The yum plugin « remove-with-leaves » breaks the PackageKit functionality.


Version-Release number of selected component (if applicable):
# rpm -qa | egrep 'PackageKit|yum' | sort
PackageKit-0.4.8-0.1226.20090515git.fc11.x86_64
PackageKit-glib-0.4.8-0.1226.20090515git.fc11.x86_64
PackageKit-gstreamer-plugin-0.4.8-0.1226.20090515git.fc11.x86_64
PackageKit-gtk-module-0.4.8-0.1226.20090515git.fc11.x86_64
PackageKit-yum-0.4.8-0.1226.20090515git.fc11.x86_64
PackageKit-yum-plugin-0.4.8-0.1226.20090515git.fc11.x86_64
yum-3.2.22-4.fc11.noarch
yum-metadata-parser-1.1.2-12.fc11.x86_64
yum-plugin-allowdowngrade-1.1.21-2.fc11.noarch
yum-plugin-changelog-1.1.21-2.fc11.noarch
yum-plugin-remove-with-leaves-1.1.21-2.fc11.noarch
yum-presto-0.4.5-4.fc11.noarch
yum-utils-1.1.21-2.fc11.noarch


How reproducible:
Always


Steps to Reproduce:
1. yum install yum-plugin-remove-with-leaves
2. pkcon install <some package>
3. pkcon remove <some package>
  
Actual results:
PackageKit operations fail (see traces attached)
Comment 1 Mathieu Bridon 2009-05-31 12:02:11 EDT
Created attachment 346011 [details]
error traces when installing with PackageKit while the yum « remove with leaves » plugin is installed
Comment 2 Mathieu Bridon 2009-05-31 12:03:23 EDT
Created attachment 346012 [details]
error traces when removing with PackageKit while the yum « remove with leaves » plugin is installed
Comment 3 Mathieu Bridon 2009-05-31 12:04:44 EDT
I'll try to see if it also fails with updates as soon as updates are available, should be today or tomorrow :)

Also, I did try the exact same operations after removing the offending yum plugin, they work as expected.
Comment 4 Richard Hughes 2009-06-01 07:43:36 EDT

*** This bug has been marked as a duplicate of bug 502399 ***

Note You need to log in before you can comment on or make changes to this bug.